Bug 199501 - Feature request: clipping option for 'ac'
Feature request: clipping option for 'ac'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: psacct (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-19 18:28 EDT by P Fudd
Modified: 2008-02-10 02:43 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 04:53:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description P Fudd 2006-07-19 18:28:58 EDT
Description of problem:
The ac command summarizes how much time you spend online, by reading
/var/log/wtmp.  The '-d' option breaks it down by day.

Unfortunately, ac counts simultaneous logins as working twice (or three times)
as hard, letting you turn an 8-hour day into a 16 or 24 hour day.

The sac command is a similar program, but with a '-c' option which fixes the
problem: an 8-hour day is counted as 8 hours, unaffected by how many times
you're logged on simultaneously.

Version-Release number of selected component (if applicable):
psacct-6.3.2-41

How reproducible:
All the time

Steps to Reproduce:
1. sign on two sessions simultaneously for one hour.
2. ac -d username
3. see your time say 'two hours'.
  
Actual results:
You appear to have done two hours of work.

Expected results:
You should appear to have done one hour.

Additional info:
The 'sac' command is available at http://mama.indstate.edu/users/ice/sac/ , and
rpms for 'sac' are available at http://rpm.pbone.net/index.php3?stat=3&search=sac
Comment 1 Ivana Varekova 2008-02-08 04:53:04 EST
FC5 is no longer supported, there will be no further updates released for it.
Comment 2 Penelope Fudd 2008-02-10 02:43:09 EST
The version of psacct on Fedora 7 is 6.3.2-44, and it still has this behaviour.
The version of psacct on Fedora 8 is 6.3.2-48, and it still has this behaviour. 

Try harder.

Note You need to log in before you can comment on or make changes to this bug.